### Method

# RB Source bind_settings

#### Declaration [src]

    void
    rb_source_bind_settings (
      RBSource* source,
      GtkWidget* entry_view,
      GtkWidget* paned,
      GtkWidget* browser,
      gboolean sort_order
    )

#### Description [src]

Binds the source’s `GSettings` instance to the given widgets. Should be called from the source’s constructed method.

If the browser widget has a browser-views property, it will be bound to the browser-views settings key.

#### Parameters

`entry_view`

  Type: `GtkWidget`

  The `RBEntryView` for the source.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`paned`

  Type: `GtkWidget`

  The `GtkPaned` containing the entry view and the browser.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`browser`

  Type: `GtkWidget`

  The browser (typically a `RBLibraryBrowser`) for the source.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`sort_order`

  Type: `gboolean`

  Whether to bind the entry view sort order.